package sample.sample_c;

import org.apache.log4j.Logger;

public class SampleC_3 {

	private static final Logger logger = Logger.getLogger(SampleC_3.class);

	private enum ジャンケン {
		グー, チョキ, パー
	};

	public static void main(String[] args) {
		ジャンケン ja = ジャンケン.グー;
		switch (ja) {
		case グー:
			logger.debug("石");
			break;
		case チョキ:
			logger.debug("はさみ");
			break;
		case パー:
			logger.debug("紙");
			break;
		default:
			throw new NullPointerException();
		}
	}
}
